Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class ConversationTimeoutableAspect

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.ConversationAspect
          org.apache.myfaces.orchestra.conversation.ConversationTimeoutableAspect

    public class ConversationTimeoutableAspect

extends ConversationAspect

A conversation aspect which allows the conversation to automatically end after a given period of inactivity.

Constructor Summary
`ConversationTimeoutableAspect(Conversation conversation)`

Method Summary
`long` | `getTimeout()` Get the timeout in msecs after which this conversation will be invalidated.
`boolean` | `isTimeoutReached()` Check if this conversation reached the timeout period.
`void` | `setTimeout(long timeout)` Set the timeout in msecs after which this conversation will be invalidated.

Methods inherited from class org.apache.myfaces.orchestra.conversation.ConversationAspect
`getConversation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversationTimeoutableAspect

    public ConversationTimeoutableAspect(Conversation conversation)

Method Detail

### getTimeout

    public long getTimeout()

  Get the timeout in msecs after which this conversation will be invalidated.

  See Also:
    `setTimeout(long)`

### setTimeout

    public void setTimeout(long timeout)

  Set the timeout in msecs after which this conversation will be invalidated.

  A value of -1 means no timeout checking.

### isTimeoutReached

    public boolean isTimeoutReached()

  Check if this conversation reached the timeout period.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.